#### D.15.3.22 ChernRootsHom

Procedure from library `chern.lib` (see chern_lib).

Usage:
  ChernRootsHom(a, b); a, b lists of polynomials

Return:
  list of polynomials

Purpose:
  for a vector bundle E with Chern roots a and a vector bundle F with Chern roots b, computes the Chern roots of Hom(E, F)

Note:

Example:

    LIB "chern.lib";
    ring r=0, (a(1..2), b(1..3)), dp;
    list l=a(1..2);
    list L=b(1..3);
    // Let E be a vector bundle with Chern roots a(1). a(2),
    // let F be a vector bundle with CHern roots b(1), b(2), b(3).
    // Then the Chern roots of Hom(E, F) are
    print(ChernRootsHom(l, L));
    ==> [1]:
    ==>    -a(1)+b(1)
    ==> [2]:
    ==>    -a(1)+b(2)
    ==> [3]:
    ==>    -a(1)+b(3)
    ==> [4]:
    ==>    -a(2)+b(1)
    ==> [5]:
    ==>    -a(2)+b(2)
    ==> [6]:
    ==>    -a(2)+b(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.